/* read heightfield  */
int hf_read(hfield *hfp, char *fname);    
int read_mfile(hfield *hfp, char *f);  /* read matlab file */
int write_mfile(hfield hf, char *f, char *m); /* write matlab */
                              /* write hf array to PGM ascii or binary */
int hf_writeb(hfield hf, char *fname);
int hf_write(hfield hf, char *fname);
int gwrite(hfield hf, char *fname); /* write as GIF */
int pot_write(hfield hf,  char *fname);  /* write to POT format */
int pot_read(hfield *hf,  char *fname);      /* read from POT */
int tga_read(hfield *hf,  char *fname);   /* read from TGA */
int tga_write(hfield hf, char *fname);    /* write to TGA (Targa Truevision) */
int png_read(hfield *hf,  char *fname);   /* read from PNG file */
int png_write(hfield hf, char *fname);    /* write to PNG 16-bit grey format */
int raw_write(hfield hf, char *fname);    /* write to RAW ascii format file */
int oct_write(hfield hf, char *f, char *m); /* Octave fmt */
int oct_read(hfield *hf, char *fname); /* Octave fmt */
int gread(char *fname);                 /* read hf array from GIF format */
int gread1(hfield *hfp, char *fname);
                                        /* general (top-level) hf i/o */
         /* ready heightfield determining type from filename extension */
int readn_hf(hfield *hfp, char *fname_in);
int read_hf(hfield *hfp, char *fname_in, int itype);
int writen_hf(hfield hf, char *fname_out);
int write_hf(hfield hf, char *fname_out, int otype);

/* extensions of recognized filetypes */
#define Intype_string "PGM|MAT|GIF|POT|TGA"
#define Outtype_string "PGM|PG8|MAT|OCT|GIF|POT|TGA"
